1.10 - Incompatible archive: PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature


#1

I got this error message when trying to update to 1.10. It’s completely incomprehensible to me.

Incompatible archive: PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature

UPDATE: solution here: 301 Moved Permanently


(Matthieu Aubry) #2

Can you try the upgrade again, do you get the problem again ? did it use to work for previous auto upgrades ?


#3

Hi Matt, tried it again for the third time just now and still the same problem. All previous upgrades have worked fine since 1.6.


(Matthieu Aubry) #4

Ok let’s see if other users have the same problem ?

I will investigate further tomorrow. thanks for the report!


(Matthieu Aubry) #5

edit: see below for solution


#6

I have the same problem.


#7

Matt, no, same problem after deleting cache and the piwik tmp folder.


#8

Hi matt. I have this error. This is my first upgrade. After cache cleaning too.


#9

Hi Matt - I have the same problem - previous upgrades working fine.

I have this error on two different installations.


#10

the same problem here.
Its my first update with piwik


#11

I have the same problem - previous upgrades working fine.

I have this error on two different installations too.


#12

Same here, just saw the update message and clicked to automatically update. Previous updates have always worked without a glitch. Tried this one 3 times, same error.


#13

Contents of tmp/latest/latest.zip

301 Moved Permanently

Moved Permanently

The document has moved here.


#14

Same error here.


#15

yup…same happening here too.


#16

I have the same issue too, i think the problem is the arhive.
So if i download the last version and try to open it in windows i get the error: ! latest.zip: Unexpected end of archive.


#17

same prob here. not the 1st update. tried many times.


#18

Hi everybody;

please, download Piwik 1.10 from the following address:
http://builds.piwik.org/latest.zip

and install it manually if you can’t wait for a fix.
http://piwik.org/docs/update/#manual

Thanks.


(xantiva) #19

Ok, then I’ll wait. I got the same error messages. Previous updates worked well.


(Matthieu Aubry) #20
  1. can you try edit config/global.ini.php
    and replace the line starting with: latest_version_url

by this value (click on this link and copy the value) http://pastebin.com/raw.php?i=PrRuJpm1

  1. and try again the upgrade ?